# Interface methods for submodule: DICOMOrientation
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: DICOMOrientation
class DICOMOrientationProxy():
	def GetAsString(self) -> str:
		""""""
		...

	def GetAsDirection(self):
		""""""
		...

	def GetAsOrientation(self):
		""""""
		...

	def GetPrimaryTerm(self):
		""""""
		...

	def GetSecondaryTerm(self):
		""""""
		...

	def GetTertiaryTerm(self):
		""""""
		...

	@staticmethod
	def SameOrientationAxes(a, b) -> bool:
		""""""
		...

	@staticmethod
	def DirectionCosinesToOrientation(dir):
		""""""
		...

	@staticmethod
	def OrientationToDirectionCosines(arg0):
		""""""
		...

